/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.marshalling;

/**
 * Thrown when there is a failure during Serialization.
 * @author Florent Benoit
 */
public class SerializationException extends Exception {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = -6660972402993030342L;

    /**
     * Constructs a new SerializationException with no detail message.
     */
    public SerializationException() {
        super();
    }

    /**
     * Constructs a new SerializationException with the specified message.
     * @param message the detail message.
     */
    public SerializationException(final String message) {
        super(message);
    }

    /**
     * Constructs a new SerializationException with the specified message and
     * throwable.
     * @param message the detail message.
     * @param t the original cause
     */
    public SerializationException(final String message, final Throwable t) {
        super(message, t);
    }

}
